%define name ltp
%define version 02.26.03
%define srcver 20030206
%define release 1mdk

Summary: Linux Test Project
Name: %{name}
Version: 0.%srcver
Release: %{release}
Epoch: 1
Source0: %{name}-%{srcver}.tar.bz2
Patch0: ltp-20020607-mdkconf.patch.bz2
License: GPL
Group: Development/Kernel
Requires: /usr/bin/ar /usr/bin/objdump gcc
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://ltp.sourceforge.net/

%description
The Linux Test Project is a joint project with SGI, IBM, OSDL, and Bull with a
goal to deliver test suites to the open source community that validate the 
reliability, robustness, and stability of Linux. The Linux Test Project is a 
collection of tools for testing the Linux kernel and related features. Our goal 
is to improve the Linux kernel by bring test automation to the kernel testing 
effort. Interested open source contributors are encouraged to join the project.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%srcver

#%patch0 -p1 -b .mdkconf

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/ltp/testcases/bin
mkdir -p $RPM_BUILD_ROOT%_libdir/ltp/tools
mkdir -p $RPM_BUILD_ROOT%_libdir/ltp/runtest
mkdir -p $RPM_BUILD_ROOT%_libdir/ltp/pan/cgi

mkdir -p $RPM_BUILD_ROOT%_mandir/man1/
mkdir -p $RPM_BUILD_ROOT%_mandir/man3/

#cp -p *.sh $RPM_BUILD_ROOT%_libdir/ltp
#cp -p testcases/bin/* $RPM_BUILD_ROOT%_libdir/ltp/testcases/bin
#cp -p tools/rand_lines $RPM_BUILD_ROOT%_libdir/ltp/tools
#cp -p pan/{bump,pan,scanner} $RPM_BUILD_ROOT%_libdir/ltp/pan
#cp -p pan/cgi/*.cgi $RPM_BUILD_ROOT%_libdir/ltp/pan/cgi
#cp -p runtest/[a-z]* $RPM_BUILD_ROOT%_libdir/ltp/runtest

mv $RPM_BUILD_DIR/%name-%srcver/doc/man1/* $RPM_BUILD_ROOT%_mandir/man1/
mv $RPM_BUILD_DIR/%name-%srcver/doc/man3/* $RPM_BUILD_ROOT%_mandir/man3/

tar c `find testcases/commands -type f | fgrep -v CVS` | tar x -C $RPM_BUILD_ROOT%_libdir/ltp

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog CREDITS doc/*.txt
%doc doc/examples doc/*.lyx
%_libdir/ltp
%_mandir/man1/*
%_mandir/man3/*

%changelog
* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20030206-1mdk
- 20030206

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20030110-1mdk
- 20030110

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20021008-1mdk
- 20021008

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20021008-1mdk
- fix version

* Wed Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 10.08.02-1mdk
- 10.08.02

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 9.10.02-1mdk
- 9.10.02

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 7.9.02-1mdk
- 7.9.02

* Tue Jun 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0-0.20020607.1mdk
- 20020607

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0-0.20020108.1mdk
- 20020108

* Fri Dec 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0-0.20011206.1mdk
- updated to 20011206
- move manpages

* Wed Sep 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20010925.1mdk
- first Mandrake Linux version

# end of file
